#pragma once

#include "CoreMinimal.h"
#include "InteractionDefinition.h"
#include "Templates/SubclassOf.h"
#include "K40KillerPickupAttachedProjectileInteraction.generated.h"

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class UK40KillerPickupAttachedProjectileInteraction : public UInteractionDefinition
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TArray<TSubclassOf<UInteractionDefinition>> _allowedSurvivorInteractionsToOverride;

public:
	UK40KillerPickupAttachedProjectileInteraction();
};

FORCEINLINE uint32 GetTypeHash(const UK40KillerPickupAttachedProjectileInteraction) { return 0; }
